import { Component, OnInit } from '@angular/core';
import { L10n, loadCldr, setCulture } from '@syncfusion/ej2-base';
import { enableRipple } from '@syncfusion/ej2-base';

//enable ripple style
enableRipple(true);
setCulture('es');

declare var require: any;

loadCldr(
  require('cldr-data/supplemental/numberingSystems.json'),
  require('cldr-data/main/es/ca-gregorian.json'),
  require('cldr-data/main/es/numbers.json'),
  require('cldr-data/main/es/currencies.json'),
  require('cldr-data/supplemental/currencyData.json'),
  require('cldr-data/main/es/timeZoneNames.json')
);

@Component({
    selector: 'app-root',
    template: `
        <ejs-datepicker id="dates" width="275px"></ejs-datepicker>
        <ejs-calendar id="cal"></ejs-calendar>
        `
})

export class AppComponent implements OnInit {
    constructor() {}
    ngOnInit(): void {
        L10n.load({
            'es': {
                'datepicker': { 
                placeholder: 'Wählen Sie Zeit',
                today: 'hoy' 
            }, 'calendar': { 
                today: 'hoy' 
            },

            }
        });
    }
}
